{
  "type": "minecraft:crafting_shaped",
  "pattern": [
    "121",
    "343",
    "121"
  ],
  "key": {
    "1": {
      "item": "minecraft:netherite_ingot"
    },
    "2": {
      "item": "betterendforge:enchanted_petal"
    },
    "3": {
      "item": "betterendforge:eternal_crystal"
    },
    "4": {
      "item": "dubl:soul_essence_gear_gun"
    }
  },
  "result": {
    "item": "dubl:soul_essence_gear_shooter"
  }
}